installation from ports is unable to determine OS version  [SOLVED]

Installing and maintaining software with the FreeBSD Ports Collection.
Post Reply
ouaille_aime_scier_
Posts: 32
Joined: Sun Sep 01, 2019 1:38 pm
Has thanked: 0
Been thanked: 3 times

installation from ports is unable to determine OS version

Post by ouaille_aime_scier_ » Tue Sep 17, 2019 7:04 pm

Hello guys,

I tried to install a package from port sources, but the compilation fails about this message : make: "/usr/ports/Mk/bsd.port.mk" line 1160: Unable to determine OS version. Either define OSVERSION, install /usr/include/sys/param.h or define SRC_BASE.

I found in FreeBSD documentation that I can manually setenv OS version before compiling but I ignore wich value to define (12.x-RELEASE or -STABLE) ?

User avatar
ericbsd
Developer
Posts: 1440
Joined: Mon Nov 19, 2012 7:54 pm
Has thanked: 39 times
Been thanked: 54 times

Re: installation from ports is unable to determine OS version

Post by ericbsd » Wed Sep 18, 2019 9:26 am

I would not recommend you to use ports unless you know what you do. To use ports you will need to install src and os-userland-devtools packages, also make sure to use https://github.com/ghostbsd/ghostbsd-ports.

ouaille_aime_scier_
Posts: 32
Joined: Sun Sep 01, 2019 1:38 pm
Has thanked: 0
Been thanked: 3 times

Re: installation from ports is unable to determine OS version  [SOLVED]

Post by ouaille_aime_scier_ » Wed Sep 18, 2019 5:36 pm

Thanks ericbsd I will try it.

ouaille_aime_scier_
Posts: 32
Joined: Sun Sep 01, 2019 1:38 pm
Has thanked: 0
Been thanked: 3 times

Re: installation from ports is unable to determine OS version

Post by ouaille_aime_scier_ » Fri Sep 20, 2019 12:19 pm

It works fine, I just need to install os-generic-userland-devtools :-) I wanted compiling exfat-utils to mount FAT32 usb key but I saw an other post here on the subject.

User avatar
i18nde
Posts: 1
Joined: Mon Oct 21, 2019 8:12 pm
Has thanked: 0
Been thanked: 0
Contact:

Re: installation from ports is unable to determine OS version

Post by i18nde » Mon Nov 25, 2019 12:12 pm

I had the same problem trying to install exfat. I need this to see the right names at mit US stick. I'm German, so we have a lot äöü and ß. SO, do i understand your post right:
You solved your problem by installing exfat-utils? Only after installing install os-generic-userland-devtools, of course.
Or do I need fusefs-exfat, what is available too.

Thanks for an answer, would help me a lot ... ;)
Strawberry fields forever ...

Ian_Robinson
Posts: 4
Joined: Sat Dec 07, 2019 9:53 am
Has thanked: 0
Been thanked: 1 time

Re: installation from ports is unable to determine OS version

Post by Ian_Robinson » Sat Dec 07, 2019 11:18 am


Post Reply